Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Timer_Helper.h File Reference

`#include "ace/Event_Handler.h"`
`#include "ace/Containers.h"`
`#include "time_export.h"`
`#include "orbsvcs/TimeServiceS.h"`

Include dependency graph for Timer_Helper.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | Timer_Helper
| Timer Helper for the clerk. More...

## Detailed Description

Id:
  Timer_Helper.h,v 1.10 2003/07/21 23:51:33 dhinton Exp

This class is registered with the Reactor and extends from the event handler.It is a friend of the TAO_Time_Service_Clerk and helps to update the clerk's notion of globally synchronized time. This class obviates the need for multiple inheritance in the clerk.

Author:
  Vishal Kachroo <vishal@cs.wustl.edu>